﻿*{
    box-sizing: border-box;
}
html {
    font-size: 14px;
}
a{
    color: black;
}
@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

html {
    position: relative;
    min-height: 100%;
}

img {
    vertical-align: top;
}

body {
    margin-bottom: 60px;
    background-color: #f8f9fa;
}

.header-contact {
    width: 100%;
    height: 30px;
    background-color: #f2f2f2;
}

    .header-contact span {
        margin: 0px 20px;
    }

.navbar-light .navbar-nav .nav-link{
    color: black;
}

.header {
    display: flex;
    align-items: center;
    background-color: #f4dfb0;
}

.search {
    display: flex;
    align-items: center;
}

    .search input {
        width: 400px;
        height: 52px;
        border: 1px solid rgb(128, 128, 128);
        border-radius: 6px;
    }

    .search span {
        height: 46px;
        line-height: 46px;
        padding: 0 20px;
    }
#search-addon {
    border: hidden;
    padding: 12px;
    border-radius: 10px;
}

.header span {
    margin-left: auto;
    margin-right: 32px;
}

nav {
    height: 64px;
    font-size: 18px;
    box-shadow: 4px 10px rgb(0,0,0,0.1);
    margin-bottom: 36px;
    background-color:white;
}
.dropdown-toggle {
    line-height: 4.15;
}
.header-navbar{
    background-color:white;
}
#mainNav {
    z-index: 1;
    position: absolute;
    top: 130px;
    padding: 0;
    width:100%;
}
/*scroll-navbar*/
.is-fixed {
    position: fixed;
    top: 0;
    z-index: 1;
    visibility: hidden;
    width: 100%;
}
.is-visible{
    visibility: visible;
}
.sticky {
    position: fixed !important;
    top: 0 !important;
}

text {
    font-size: 14px;
}

.post-preview{
    display: flex;
}

.post-preview .post-meta{
    opacity: 0.8;
}
.MostViewedPost-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}
.MostViewedPost-item {
    width: 46%;
    text-align:center;
    margin-top:32px;
}

/*Page*/
.pagination-container {
    display: flex;
    flex: 1;
}

.pagination {
    display: flex;
    flex: 1;
    list-style: none;
    padding: 0;
    gap: .625rem;
}
.pagination li {
        width: 32px;
        height: 32px;
        border: 1px solid;
        border-radius: 16px;
        /* line-height: 32px; */
        padding: 2px 10px;
}
.pagination li:hover{
    color: white;
    background-color: red;
    border: hidden;
}

.page-item, .page-link {
    height: 2rem;
    width: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
}

.PagedList-pageCountAndLocation {
    justify-content: start;
    order: -1;
    flex: 1;
    // expands the div to max available width
}
.active {
    color: white;
    background-color: red;
    border: hidden;
}
/*To top button*/
#btn-back-to-top {
    position: fixed;
    width: 40px;
    height:40px;
    border: 20px;
    bottom: 20px;
    right: 20px;
    display: none;
}

/* slider*/

.home-silder img {
    width: 100%;
    height: 300px;
    border-radius: 10px;
}
/*product sidebar*/
#product-sidebar ul {
    list-style: none;
    font-family: verdana,sans-serif;
    font-weight: bold;
    text-align: left;
    width: 150px;
    padding: 0 10px 0 0;
}

#product-sidebar a:link {
    width: 200%;
    font-size: 12px;
    background-color: white;
    display: block;
    text-decoration: none;
    padding: 8px 15px;
    border: 1px rgba(1,1,1,0.1) solid;
}
a:visited {
    width: 200%;
}

#product-sidebar a:hover {
    background-color: #efecca;
    color: #046380;
}

#product-sidebar a:active {
    background-color: #a7a37e;
}

/*Product container*/
.product-container{
    background-color: white;
    border: 2px rgba(1,1,1,0.1) solid;
}

/*product list-group*/

.product-preview{
    width: 30%;
    margin: calc(10%/6);
    border-radius: 5px;
    box-sizing: border-box;
    padding-bottom: 20px;
}
.product-preview a:hover {
    text-decoration: none;
}
.product-preview:hover {
    border: 1px rgba(1,1,1,0.1) solid;
    transform: scale(1.02);
}
.product-image {
    border-top: 3px #be0a0c solid;
    border-left: 2px #be0a0c solid;
    border-right: 2px #be0a0c solid;
    border-bottom: 1px #be0a0c solid;
    border-radius: 6px;
    margin: 6px 0px;
}
.product-name {
    height: 8%;
    margin: 0;
}
.product-price {
    background-color: #cb1c22;
    color: white;
    height: 5%;
}
.product-sale-price{
    font-size: 12px;
    text-decoration: line-through;
}
.product-infor {
    font-size: 12px;
    color: gray;
    height: 136px;
}

/*Product detail*/
.product-rate {
    color: #ea9d02;
}
.product-detail-infor {
    font-size: 16px;
    color: gray;
    border: 1px rgba(0,0,0,0.1) solid;
    border-radius: 5px;
}
.product-detail-image {
    height: 390px;
    background-image: url(/custom/client/img/638188970427356931_frame-detail-585x428.webp);
    background-repeat: no-repeat;
    background-size: 100%;
    border-bottom: 1px red solid;
    border-radius: 10px;
}
.product-detail-image img{
    position:relative;
    z-index:-1;
}
.product-detail-sale{
    position:relative;
    top: -10%;
    font-size: 24px;
    font-weight: bold;
    color: white;
}
.product-feature{
    color: rgba(0,0,0,0.7);
}
.product-feature i {
    font-size: 46px;
    color: dimgrey;
}
.detail-price-main {
    font-size: 24px;
    text-decoration: line-through;
}
.detail-price-sale {
    font-size: 36px;
    color: #cb1c22;
    font-weight: bold;
}

.promo-area {
    background-color: #f0f6fc;
    border: 1px rgba(0,0,0,0.1) solid;
    margin-bottom: 36px;
}
.promo-title {
    background-color: #d6dadf;
    color: black;
}
.promo-list li{
    list-style: none;
}
.promo-list i {
    color: green;
}